import java.util.Scanner;
public class Main {
    public static void main (String[] args) {
        Scanner skener = new Scanner(System.in);

        int n = skener.nextInt();
        int l = skener.nextInt();

        int[] h = new int[n];
        for (int i = 0; i < n; i++) {
            h[i] = skener.nextInt();
        }

        for (int i = 0; i < n; i++) {
            if (h[i] > l) {
                System.out.println(i + 1);
                return;
            }
        }
        System.out.println(-1);
    }
}